Quota increase for Emacs PPA

Asked by Kevin Kelley on 2019-12-24

Hello!

I maintain a PPA that offers stable releases of Emacs (https://launchpad.net/~kelleyk/+archive/ubuntu/emacs). I just uploaded some new packages and got email warnings that I've almost hit the PPA's quota. Is it possible to have the PPA's quota increased?

Thanks in advance!

Question information

Language:
English Edit question
Status:
Solved
For:
Launchpad itself Edit question
Assignee:
No assignee Edit question
Solved by:
Kevin Kelley
Solved:
2020-01-13
Last query:
2020-01-13
Last reply:
2020-01-13
Colin Watson (cjwatson) said : #1

Please could you remove the packages for obsolete Ubuntu series that no longer receive security support (I see yakkety, zesty, artful, and cosmic in there) and then see if you're still close to the limit? You can archive these packages somewhere else first if need be. We're normally fairly relaxed about this and don't remove them automatically or anything, but quota bump requests are a good time to ask people to clean up a bit.

Kevin Kelley (kelleyk) said : #2

Okay, sure! I've requested package deletion for the packages in those four series, which (as you point out) are all EOL. I'm not sure if the deletions have been reflected yet, but right now I'm still seeing that the PPA is using 2.1 GiB of its 2.0 GiB quota.

Even if this does bring us a little under, I suspect we'll be right back here in short order when Emacs 27.1 is released, so a quota increase would still be lovely if it's possible.

-K

Kevin Kelley (kelleyk) said : #3

Apparently the PPA is now at 1.4 GiB of 2.0 GiB, so we can probably do without a quota increase for a little while if it's your preference to hold off.

Colin Watson (cjwatson) said : #4

Well, I've bumped it to 4 GiB, which should do for a while.

Kevin Kelley (kelleyk) said : #5

Thank you!